Loading...
Searching...
No Matches
XrdCl::TaskWrapper< void, Return > Class Template Reference

`#include <XrdClOperationHandlers.hh>`

Inheritance diagram for XrdCl::TaskWrapper< void, Return >:
Collaboration diagram for XrdCl::TaskWrapper< void, Return >:

## Public Member Functions

| TaskWrapper (std::packaged_task< Return(XRootDStatus &)> &&task)
| Constructor.
void | HandleResponse (XRootDStatus *status, AnyObject *response)
| Callback method.
Public Member Functions inherited from XrdCl::ResponseHandler
virtual | ~ResponseHandler ()
virtual void | HandleResponseWithHosts (XRootDStatus *status, AnyObject *response, HostList *hostList)

## Additional Inherited Members

Static Public Member Functions inherited from XrdCl::ResponseHandler
static ResponseHandler * | Wrap (std::function< void(XRootDStatus &, AnyObject &)> func)
static ResponseHandler * | Wrap (std::function< void(XRootDStatus *, AnyObject *)> func)

## Detailed Description

template<typename Return>
class XrdCl::TaskWrapper< void, Return >

Packaged Task wrapper, specialization for requests that have no response except for status.

- Response : type of response returned by the server
- Return : type of the value returned by the task

Definition at line 307 of file XrdClOperationHandlers.hh.

## Constructor & Destructor Documentation

## TaskWrapper()

template<typename Return>

XrdCl::TaskWrapper< void, Return >::TaskWrapper | ( | std::packaged_task< Return(XRootDStatus &)> && | task | ) |

inline

Constructor.

Parameters

  task | : a std::packaged_task

Definition at line 316 of file XrdClOperationHandlers.hh.

:
task( std::move( task ) )
{
}
XrdCl::TaskWrapper
Definition XrdClOperationHandlers.hh:267

## Member Function Documentation

## HandleResponse()

template<typename Return>

void XrdCl::TaskWrapper< void, Return >::HandleResponse | ( | XRootDStatus * | status,
|  | AnyObject * | response )

inline virtual

Callback method.

Reimplemented from XrdCl::ResponseHandler.

Definition at line 324 of file XrdClOperationHandlers.hh.

{
std::unique_ptr<XRootDStatus> delst( status );
std::unique_ptr<AnyObject> delrsp( response );
task( *status );
}

The documentation for this class was generated from the following file:

- XrdClOperationHandlers.hh